com.genesyslab.wfm8.API.service.calendar810

## Class CalAvailabilityPatternWeek

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.CalAvailabilityPatternWeek

- All Implemented Interfaces:
    java.io.Serializable

      public class CalAvailabilityPatternWeek
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `patternId` Availability Pattern ID
    `private static long` | `serialVersionUID`
    `protected int` | `weekArraySize` Weekday availability array size
    `protected java.util.List<CalAvailabilityPattern>` | `weekday` Array of weekday availabilities

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalAvailabilityPatternWeek()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getPatternId()` Gets the patternId value for this CalAvailabilityPatternWeek.
    `int` | `getWeekArraySize()` Gets the weekArraySize value for this CalAvailabilityPatternWeek.
    `java.util.List<CalAvailabilityPattern>` | `getWeekday()` Gets the weekday value for this CalAvailabilityPatternWeek.
    `int` | `hashCode()`
    `void` | `setPatternId(int patternId)` Sets the patternId value for this CalAvailabilityPatternWeek.
    `void` | `setWeekArraySize(int weekArraySize)` Sets the weekArraySize value for this CalAvailabilityPatternWeek.
    `void` | `setWeekday(java.util.List<CalAvailabilityPattern> weekday)` Sets the weekday value for this CalAvailabilityPatternWeek.
    `java.lang.String` | `toString()`
    `CalAvailabilityPatternWeek` | `withPatternId(int value)`
    `CalAvailabilityPatternWeek` | `withWeekArraySize(int value)`
    `CalAvailabilityPatternWeek` | `withWeekday(CalAvailabilityPattern... values)`
    `CalAvailabilityPatternWeek` | `withWeekday(java.util.Collection<CalAvailabilityPattern> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### patternId

          protected int patternId

      Availability Pattern ID

    - #### weekArraySize

          protected int weekArraySize

      Weekday availability array size

    - #### weekday

          protected java.util.List<CalAvailabilityPattern> weekday

      Array of weekday availabilities

  - ### Constructor Detail

    - #### CalAvailabilityPatternWeek

          public CalAvailabilityPatternWeek()

  - ### Method Detail

    - #### getPatternId

          public int getPatternId()

      Gets the patternId value for this CalAvailabilityPatternWeek.
      Returns:
        patternId

    - #### setPatternId

          public void setPatternId(int patternId)

      Sets the patternId value for this CalAvailabilityPatternWeek.
      Parameters:
        `patternId` -

    - #### getWeekArraySize

          public int getWeekArraySize()

      Gets the weekArraySize value for this CalAvailabilityPatternWeek.
      Returns:
        weekArraySize

    - #### setWeekArraySize

          public void setWeekArraySize(int weekArraySize)

      Sets the weekArraySize value for this CalAvailabilityPatternWeek.
      Parameters:
        `weekArraySize` -

    - #### getWeekday

          public java.util.List<CalAvailabilityPattern> getWeekday()

      Gets the weekday value for this CalAvailabilityPatternWeek.
      Returns:
        weekday

    - #### setWeekday

          public void setWeekday(java.util.List<CalAvailabilityPattern> weekday)

      Sets the weekday value for this CalAvailabilityPatternWeek.
      Parameters:
        `weekday` -

    - #### withWeekday

          public CalAvailabilityPatternWeek withWeekday(java.util.Collection<CalAvailabilityPattern> values)

    - #### withWeekday

          public CalAvailabilityPatternWeek withWeekday(CalAvailabilityPattern... values)

    - #### withWeekArraySize

          public CalAvailabilityPatternWeek withWeekArraySize(int value)

    - #### withPatternId

          public CalAvailabilityPatternWeek withPatternId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.